
QGIS Application - Bug report #14867

Empty bounding box for a layer in GetCapabilities response from qgis server when querying a 

project that contains gdal raster layer with projection different from 3857 or 4326

2016-05-23 01:15 AM - Nikolay Lebedev

Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:2.14.2 Regression?: No

Operating System: Arch Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22820

Description

I'm adding GDAL_WMS XML definition as raster layers to qgis, and then make a GetCapabilities request to WMS service. 

Bbox is defined in XML files.

When adding an XML raster with defined EPSG3857 CRS (i.e. OSM tile service), GetCapabilities response contains bounding box as

expected:

<EX_GeographicBoundingBox>

<westBoundLongitude>-180</westBoundLongitude>

<eastBoundLongitude>180</eastBoundLongitude>

<southBoundLatitude>-85.0511</southBoundLatitude>

<northBoundLatitude>85.0511</northBoundLatitude>

</EX_GeographicBoundingBox>

<BoundingBox CRS="EPSG:4326" maxx="85.0511" minx="-85.0511" maxy="180" miny="-180"/>

<BoundingBox CRS="EPSG:3857" maxx="2.00375e+07" minx="-2.00375e+07" maxy="2.00375e+07" miny="-2.00375e+07"/>

But when adding a layer with CRS different from 3857 or 4326 (it is EPSG 3395 in my case), then GetCapabilities response contains

empty bbox like this:

<EX_GeographicBoundingBox>

<westBoundLongitude>0</westBoundLongitude>

<eastBoundLongitude>0</eastBoundLongitude>

<southBoundLatitude>0</southBoundLatitude>

<northBoundLatitude>0</northBoundLatitude>

</EX_GeographicBoundingBox>

<BoundingBox CRS="EPSG:3857" maxx="0" minx="0" maxy="0" miny="0"/>

<BoundingBox CRS="EPSG:4326" maxx="0" minx="0" maxy="0" miny="0"/>

<BoundingBox CRS="EPSG:3395" maxx="0" minx="0" maxy="0" miny="0"/>

I think it's a bug in qgis server, because I can see the expected bbox in raster metadata in qgis itself.

Attaching my raster definitions here, so this can be easily reproduced: osm.xml is in 3857, so it works, ya.xml is in 3395, so it doesn't.

History

#1 - 2016-05-23 01:18 AM - Giovanni Manghi

- Category set to QGIS Server

#2 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No
#3 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

Files

osm.xml 648 Bytes 2016-05-22 Nikolay Lebedev

ya.xml 813 Bytes 2016-05-22 Nikolay Lebedev
